#!/usr/bin/env tclsh
# Norwegian (Norsk Bokml) translations for PureData
# $Id: bokmal.tcl,v 1.1.2.5 2006/10/13 16:00:56 matju Exp $
# by Gisle Frysland

say file "Fil"
  say new_file "Ny Fil"
  say open_file "pne Fil..."
  say pdrc_editor ".pdrc Redigerer"
  say send_message "Send Melding..."
  say paths "Stier..."
  say close "Lukk"
  say save "Lagre"
  say save_as "Lagre Som..."
  say print "Skriv Ut..."
  say quit "Lukk"

say edit "Rediger"
  say undo "Angre"
  say redo "Gjr Om"
  say cut "Klipp Ut"
  say copy "Kopier"
  say paste "Lim Inn"
  say duplicate "Dupliser"
  say select_all "Velg Alt"
  say text_editor "Tekst Redigerer..."
  say tidy_up "Rydd Opp"
  say edit_mode "Redigeringsmodus"

say view "Vis"
  say reload "Last Inn P Nytt"
  say redraw "Vis P Nytt"

say find "Finn"
  say find_again "Finn P Nytt"
  say find_last_error "Finn Siste Feil"

say put "Sett Inn"

say media "Media"
  say audio_on "Audio P"
  say audio_off "Audio AV"

say window "Vindu"

say help "Hjelp"
  say about "Om..."
  say pure_documentation "Pure Dokumentasjon..."
  say class_browser "Klasseleser..."

### Main Window

say in "inn"
say out "ut"
say audio "Audio"
say meters "Mlere"
say io_errors "I/U Feil"



say_namespace summary {
  say_category IEMGUI
  say bng    "Bang Boks"
  say tgl    "Toggle Boks"
  say nbx    "Number Box (IEM)"
  say hsl    "Slider (Horizontal"
  say vsl    "Slider (Vertical)"
  say hradio "Choice Box (Horizontal)"
  say vradio "Choice Box (Vertical)"
  say cnv    "Canvas (IEM)"
  say vu     "Vumeter"
  say dropper "Dra-og-Slipp Boks"

  say_category LIM
  say bang "send ut en bang melding"
  say float "lagre og hente frem et tall"
  say symbol "lagre og hente frem et symbol"
  say int "lagre og hente frem et heltall"
  say send "send en melding til et navngitt objekt"
  say receive "ta i mot sendte meldinger"
  say select "sjekk etter passende tall eller symboler"
  say route "videresend meldinger i henhold til frste element"
  say pack "lag sammensatte meldinger"
  say unpack "hent elementer fra sammensatte meldinger"
  say trigger  "sekvenser og konverter meldinger"
  say spigot "avbrytbar meldingsforbindelse"
  say moses "bryt opp en numerisk strm"
  say until "mekanisme for repetisjon"
  say print "skriv ut meldinger"
  say makefilename "formater et symbol med et variabelt felt"
  say change "fjern repeterte tall fra en strm"
  say swap "bytt om to tall"
  say value "delt numerisk verdi"

  say_category TID
  say delay "send en melding etter en tidsforsinkelse"
  say metro "send en melding periodisk"
  say line "send en serie av linert stegvise tall"
  say timer "ml tidsintervaller"
  say cputime "ml CPU tid"
  say realtime "ml sann tid"
  say pipe "dynamisk skalerbar forsinkelsesk for tall"

  say_category MATTEMATIKK
  say + "legg till"
  say - "trekk fra"
  say * "multipliser"
  say {/ div} "divider"
  say {% mod} "delingsrestere"
  say pow "eksponentiere"
  say == "er lik?"
  say != "er ikke lik?"


  say > "strre enn?"
  say < "mindre enn?"
  say >= "ikke mindre enn?"
  say <= "ikke strre enn?"
  say &  "bitvis konjunksjon (og)"
  say |  "bitvis atskillelse (eller)"
  say && "logisk konjunksjon (og)"
  say || "logisk atskillelse (eller)"
  say mtof "MIDI til Hertz"
  say ftom "Hertz til MIDI"
  say powtodb "Watt til dB"
  say dbtopow "dB til Watt"
  say rmstodb "Volt til dB"
  say dbtorms "dB til Volt"
  say {sin cos tan atan atan2 sqrt} "trigonometri"
  say log "Euler logaritme"
  say exp "Euler eksponential"
  say abs "absolutt verdi"
  say random "tilfeldig"
  say max "strste av to tall"
  say min "minste av to tall"
  say clip "tvinge et tall inn i et omrde"

  say_category MIDI
  say {notein ctlin pgmin bendin touchin polytouchin midiin sysexin} \
       "MIDI input"
  say {noteout ctlout pgmout bendout touchout polytouchout midiout} \
       "MIDI output"
  say makenote \
       "sett inn en forsinket  \"note off\" melding som korresponderer med en note-on"
  say stripnote "fjern \"note off\" meldinger"

  say_category TABELLER
  say tabread "les et tall fra en tabell"
  say tabread4 "les et tall fra en tabell, med 4 punkts interpolasjon"
  say tabwrite "skriv et tall til en tabell"
  say soundfiler "les og skriv tabeller til lydfiler"

  say_category DIVERSE
  say loadbang "bang ved lasting"
  say serial "seriell enhetskontroll kun for NT"
  say netsend "send meldinger over internettet"
  say netreceive "motta dem"
  say qlist "\"sequencer\" for meldinger"
  say textfile "fil til melding konverterer"
  say openpanel "\"pne\" dialog"
  say savepanel "\"Lagre som\" dialog"
  say bag "tallsett"
  say poly "polyfonisk stemmeallokering"
  say {key keyup} "numeriske noteverdier fra keyboard"
  say keyname "symbolsk notenavn"
  say_category "AUDIO MATTEMATIKK"
  foreach word {+ - * /} {say $word~ "[say $word] (for signaler)"}
  say max~ "supremum for signaler"
  say min~  "infimum for signaler"
  say clip~ "innskrenk signal til  ligge mellom to grenseverdier"
  say q8_rsqrt~ "billig resiprokal kvadratrot (obs -- 8 bits!)"
  say q8_sqrt~ "billig kvadratrot (obs-- 8 bits!)"
  say wrap~ "brett rundt (fractional part, sort of)"
  say fft~ "kompleks forlengs diskr Fourier transform"
  say ifft~ "kompleks invers diskr Fourier transform"
  say rfft~ "sann forlengs diskr Fourier transform"
  say rifft~ "sann invers diskr Fourier transform"
  say framp~ "send ut en rampe for hver blokk"
  foreach word {mtof ftom rmstodb dbtorms rmstopow powtorms} {
    say $word~ "[say $word] (for signaler)"
  }
}
